
Redmine - Defect #28946

If assignee is locked subtasks don't get copied 

2018-06-04 23:32 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.7   

Resolution: Fixed Affected version: 3.4.5

Description

Could not copy subtask #2 while copying #1 to #1037 due to validation errors: Assignee is invalid

Related issues:

Copied from Redmine - Defect #27863: If version is closed or locked  subtasks... Closed

Associated revisions

Revision 17390 - 2018-06-17 03:03 - Go MAEDA

Clear subtask assignee during copy if is locked (#28946).

Patch by Marius BALTEANU.

Revision 17391 - 2018-06-17 03:07 - Go MAEDA

Merged r17390 from trunk to 3.4-stable (#28946).

History

#1 - 2018-06-04 23:32 - Marius BĂLTEANU

- Copied from Defect #27863: If version is closed or locked  subtasks don't get copied  added

#2 - 2018-06-05 07:19 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to Candidate for next minor release

#3 - 2018-06-10 20:32 - Marius BĂLTEANU

- File 0001-clear-subtask-assignee-during-copy-if-is-locked.patch added

- Assignee deleted (Marius BĂLTEANU)

- Target version changed from Candidate for next minor release to 3.4.7

Attached a patch that fixes this issue.

#4 - 2018-06-17 03:07 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you for the fix.

Files

0001-clear-subtask-assignee-during-copy-if-is-locked.patch 2.12 KB 2018-06-10 Marius BĂLTEANU
